module BuildEdge
     
    # The directories

    #top level
    def BuildEdge.root_dir
        return File.dirname(__FILE__)
    end

    def BuildEdge.test_dir
        return  "#{BuildEdge.root_dir}/../../../../../../buildedge.development.sketchup.testup/buildedge-developer-tools/testup"
    end    
    
    #the json for ruby files
    def BuildEdge.json_dir
        return  "#{BuildEdge.root_dir}/json"
    end
    
    #units handling dir
    def BuildEdge.units_dir
        return  "#{BuildEdge.root_dir}/units"
    end
    
    #images dir
    def BuildEdge.images_dir
        return  "#{BuildEdge.root_dir}/images"
    end
    
    #utils dir
    def BuildEdge.utils_dir
        return  "#{BuildEdge.root_dir}/utils"
    end
    
     #ui dir
    def BuildEdge.ui_dir
        return  "#{BuildEdge.root_dir}/ui"
    end
    
    #logger dir
    def BuildEdge.logger_dir
        return  "#{BuildEdge.root_dir}/logger"
    end

    # components dir
    def BuildEdge.components_dir
        return  "#{BuildEdge.root_dir}/components"
    end

end #module

Sketchup.require("#{BuildEdge.root_dir}/constants")
Sketchup.require("#{BuildEdge.root_dir}/sketchup_bim")
Sketchup.require("#{BuildEdge.root_dir}/plugin_settings")
Sketchup.require("#{BuildEdge.root_dir}/strmanip")
Sketchup.require("#{BuildEdge.root_dir}/buildedge_entity_updater")
Sketchup.require("#{BuildEdge.root_dir}/modified_entity_updater")
Sketchup.require("#{BuildEdge.root_dir}/deleted_entity_updater")
Sketchup.require("#{BuildEdge.root_dir}/roofline")
Sketchup.require("#{BuildEdge.root_dir}/wall")
Sketchup.require("#{BuildEdge.root_dir}/wall_opening")
Sketchup.require("#{BuildEdge.root_dir}/floor_settings")
Sketchup.require("#{BuildEdge.root_dir}/buildedge_bim_controller")
Sketchup.require("#{BuildEdge.root_dir}/buildedge_data_reader")
Sketchup.require("#{BuildEdge.root_dir}/buildedge_entity_observer")
Sketchup.require("#{BuildEdge.root_dir}/base_entity_handler")
Sketchup.require("#{BuildEdge.root_dir}/wall_entity_handler")
Sketchup.require("#{BuildEdge.root_dir}/roof_entity_handler")
Sketchup.require("#{BuildEdge.root_dir}/floor_entity_handler")
Sketchup.require("#{BuildEdge.root_dir}/outline_tool_utils")
Sketchup.require("#{BuildEdge.root_dir}/outline_tool_common_state")
Sketchup.require("#{BuildEdge.root_dir}/outline_tool_common")
Sketchup.require("#{BuildEdge.root_dir}/wall_tool")
Sketchup.require("#{BuildEdge.root_dir}/roof_tool")
Sketchup.require("#{BuildEdge.root_dir}/door_window_tool")
Sketchup.require("#{BuildEdge.root_dir}/floor_tool")
Sketchup.require("#{BuildEdge.root_dir}/sketchup_app_observer")
Sketchup.require("#{BuildEdge.root_dir}/sketchup_selection_observer")
Sketchup.require("#{BuildEdge.root_dir}/sketchup_entities_observer")
Sketchup.require("#{BuildEdge.root_dir}/sketchup_model_observer")
Sketchup.require("#{BuildEdge.root_dir}/messenger_tokens")
Sketchup.require("#{BuildEdge.root_dir}/attrib_strings")
Sketchup.require("#{BuildEdge.root_dir}/drawing_utils")
Sketchup.require("#{BuildEdge.root_dir}/model_utils")
Sketchup.require("#{BuildEdge.root_dir}/sketchup_smart_operation")
Sketchup.require("#{BuildEdge.root_dir}/operation_dependency")
Sketchup.require("#{BuildEdge.root_dir}/operation_stack")
Sketchup.require("#{BuildEdge.root_dir}/pick_delegate")
Sketchup.require("#{BuildEdge.root_dir}/click_state")

